package br.uem.din.architectureEvolution.caseStudy;

import br.uem.din.architectureEvolution.representation.Architecture;
import br.uem.din.architectureEvolution.representation.Element;

public class PLAExceptionHandlingMutation1 extends PLAMutation {

	public PLAExceptionHandlingMutation1(Architecture originalArchitecture) throws Exception {
		super(originalArchitecture, "ExceptionHandling");
	}

	@Override
	<T extends Element> boolean canMutate(T element) {
		return element.containsConcern(concern) && element.getConcerns().size() == 1;
	}
}
